#!/bin/bash
# FILE:       	wagon:back/admin_user.cgi
# DESCRIPTION:	Server for requests to /user/

source /etc/wagon/config

case "${REQUEST_METHOD}" in

	# Add new user
	'POST') /usr/lib/wagon/admin/user/add "${HTTP_X_REAL_IP}" "${QUERY_STRING}";;

	# Delete user
	'DELETE') /usr/lib/wagon/admin/user/del "${HTTP_X_REAL_IP}" "${QUERY_STRING}";;

	# Needed for CORS preflight
	'OPTIONS') /usr/lib/wagon/http_res 200;;

	# Bad request
	*) printf 'Invalid HTTP verb' | /usr/lib/wagon/http_res 405;;
esac
